<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="/">
    <table width='80%' align='center' cellpadding='5' cellspacing='5'>
      <tr>
        <td>Unita' organizzativa</td>
        <td><xsl:value-of select="/erb/unt"/></td>
      </tr>
      <tr>
        <td>Prestazione</td>
        <td><xsl:value-of select="/erb/att"/></td>
      </tr>
      <tr>
        <td>Modalita' di erogazione</td>
        <TD><xsl:apply-templates select="/erb/ctrs"/></TD>
      </tr>
      <tr>
        <td>Altre informazioni</td>
        <TD><xsl:apply-templates select="/erb/info"/></TD>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="ctrs">
    <select>
      <xsl:apply-templates select="ctr"/>
    </select>
  </xsl:template>

  <xsl:template match="ctr">
    <option>
      <xsl:value-of select="."/> - <xsl:value-of select="@prz"/>
    </option>
  </xsl:template>

</xsl:stylesheet>
