<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="/">
    <xsl:apply-templates select="/service/current_patient"/>
    <p/>
    <TABLE id='tblAll' border="1" cellspacing="0" width="100%">
      <xsl:apply-templates select="/service/service_patients/service_patient"/>
    </TABLE>
  </xsl:template>

  <xsl:template match="current_patient">
    <TABLE id="tblDtl" border="0" cellspacing="0" align='center'>
      <TR>
      <xsl:attribute name="id_ana"><xsl:value-of select="name/@id"/></xsl:attribute>
        <TD class='context'><xsl:apply-templates select="name"/></TD>
        <TD class='context'><xsl:value-of select="name/@dtn"/></TD>
        <TD>
          <SELECT>
          <xsl:attribute name="onChange">lfDo(<xsl:value-of select="name/@id"/>,this)</xsl:attribute>
            <OPTION value="0"></OPTION>
            <xsl:apply-templates select="verbs/verb"/>
          </SELECT>
        </TD>
        <TD align='center' class='context'><xsl:value-of select="name/@sex"/></TD>
      </TR>
    </TABLE>
  </xsl:template>

  <xsl:template match="service_patient">
    <TR class="link" title="seleziona" onclick="lfClick(this)">
    <xsl:attribute name="id_ana"><xsl:value-of select="name/@id"/></xsl:attribute>
    <xsl:attribute name="dt_nascita"><xsl:value-of select="name/@dtn"/></xsl:attribute>
    <xsl:attribute name="sex"><xsl:value-of select="name/@sex"/></xsl:attribute>
      <TD>
      <xsl:attribute name="bgcolor">
        <xsl:choose>
          <xsl:when test="name/@sex='M'">lightblue</xsl:when>
          <xsl:when test="name/@sex='F'">pink</xsl:when>
          <xsl:otherwise></xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
        <xsl:apply-templates select="name"/>
      </TD>
      <TD><xsl:apply-templates select="state"/></TD>
      <TD valign="bottom">
        <SELECT>
        <xsl:attribute name="onChange">lfDo(<xsl:value-of select="name/@id"/>,this)</xsl:attribute>
          <OPTION value="0"></OPTION>
          <xsl:apply-templates select="verbs/verb"/>
        </SELECT>
      </TD>
    </TR>
  </xsl:template>

  <xsl:template match="name">
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="state">
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="verb">
    <OPTION>
    <xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
      <xsl:value-of select="."/>
    </OPTION>
  </xsl:template>

</xsl:stylesheet>
