/* ------------------------------------------------------------------------- */
function fcfCodiceFiscale( cog, nom, sex, dtn, fis )
{
 var i;
 var somma=0;
 var s, cf;
  // Processa il cognome
  s = "";
  for (i=0; i<cog.length && s.length<3; i++)  {
    switch (cog.charAt(i)) {
      case 'A':
      case 'E':
      case 'I':
      case 'O':
      case 'U': break;
      default : if ( (cog.charAt(i)<='Z') && (cog.charAt(i)>'A') ) s+=cog.charAt(i);
    }
  }
  if (s.length<3) {
    for (i=0; i<cog.length && s.length<3; i++) {
      switch (cog.charAt(i)) {
        case 'A':
        case 'E':
        case 'I':
        case 'O':
        case 'U': s+=cog.charAt(i);
      }
    }
    while (s.length < 3) s+='X';
  }
  cf = s;
  // Processa il nome
  s = "";
  for (i=0; i<nom.length && s.length<4; i++) {
    switch (nom.charAt(i)) {
      case 'A':
      case 'E':
      case 'I':
      case 'O':
      case 'U': break;
      default: if ( (nom.charAt(i)<='Z') && (nom.charAt(i)>'A') ) s+=nom.charAt(i);
    }
  }
  if (s.length > 3) { s = s.substr(0,1) + s.substr(2,2); }
  if (s.length < 3) {
    for (i=0; i<nom.length && s.length<3; i++) {
      switch (nom.charAt(i)) {
         case 'A':
         case 'E':
         case 'I':
         case 'O':
         case 'U': s+=nom.charAt(i);
      }
    }
    while (s.length < 3) s+='X';
  }
  cf += s;
  // Processa anno, mese, giorno e sesso
	var month_codes = new Array( "A","B","C","D","E","H","L","M","P","R","S","T" );
  if ( dtn.length==10 ) {
    cf += dtn.substr(8,2);
    i = parseInt(dtn.substr(3,2),10);
    cf += month_codes[i-1];
    i = parseInt(dtn.substr(0,2),10);
    if (sex.length==1 && sex=='F') i+=40;
    cf += ( i<10 ? "0" : "" ) + i;
  } else cf += "     ";

  // Aggiunge il fis
  cf += fis;
  cf += fcfCifraControllo(cf);
  return cf;
}

/* ------------------------------------------------------------------------- */
function fcfCifraControllo( cf )
{
  var c, i, somma=0;
  for (i=0; i<15; i++) {
    if (((i+1)%2)!=0) { //caratteri dispari
      switch (cf.charAt(i)) {
        case '0':
        case 'A':{ somma += 1; break;}
        case '1':
        case 'B':{ somma += 0; break;}
        case '2':
        case 'C':{ somma += 5; break;}
        case '3':
        case 'D':{ somma += 7; break;}
        case '4':
        case 'E':{ somma += 9; break;}
        case '5':
        case 'F':{ somma += 13; break;}
        case '6':
        case 'G':{ somma += 15; break;}
        case '7':
        case 'H':{ somma += 17; break;}
        case '8':
        case 'I':{ somma += 19; break;}
        case '9':
        case 'J':{ somma += 21; break;}
        case 'K':{ somma += 2; break;}
        case 'L':{ somma += 4; break;}
        case 'M':{ somma += 18; break;}
        case 'N':{ somma += 20; break;}
        case 'O':{ somma += 11; break;}
        case 'P':{ somma += 3; break;}
        case 'Q':{ somma += 6; break;}
        case 'R':{ somma += 8; break;}
        case 'S':{ somma += 12; break;}
        case 'T':{ somma += 14; break;}
        case 'U':{ somma += 16; break;}
        case 'V':{ somma += 10; break;}
        case 'W':{ somma += 22; break;}
        case 'X':{ somma += 25; break;}
        case 'Y':{ somma += 24; break;}
        case 'Z':{ somma += 23; break;}
      }
    } else { //caratteri pari
      switch (cf.charAt(i)) {
        case '0':
        case 'A':{ somma += 0; break;}
        case '1':
        case 'B':{ somma += 1; break;}
        case '2':
        case 'C':{ somma += 2; break;}
        case '3':
        case 'D':{ somma += 3; break;}
        case '4':
        case 'E':{ somma += 4; break;}
        case '5':
        case 'F':{ somma += 5; break;}
        case '6':
        case 'G':{ somma += 6; break;}
        case '7':
        case 'H':{ somma += 7; break;}
        case '8':
        case 'I':{ somma += 8; break;}
        case '9':
        case 'J':{ somma += 9; break;}
        case 'K':{ somma += 10; break;}
        case 'L':{ somma += 11; break;}
        case 'M':{ somma += 12; break;}
        case 'N':{ somma += 13; break;}
        case 'O':{ somma += 14; break;}
        case 'P':{ somma += 15; break;}
        case 'Q':{ somma += 16; break;}
        case 'R':{ somma += 17; break;}
        case 'S':{ somma += 18; break;}
        case 'T':{ somma += 19; break;}
        case 'U':{ somma += 20; break;}
        case 'V':{ somma += 21; break;}
        case 'W':{ somma += 22; break;}
        case 'X':{ somma += 23; break;}
        case 'Y':{ somma += 24; break;}
        case 'Z':{ somma += 25; break;}
      }
    }
  }
  somma %= 26;
  switch (somma) {
    case 0: {c='A'; break;}
    case 1: {c='B'; break;}
    case 2: {c='C'; break;}
    case 3: {c='D'; break;}
    case 4: {c='E'; break;}
    case 5: {c='F'; break;}
    case 6: {c='G'; break;}
    case 7: {c='H'; break;}
    case 8: {c='I'; break;}
    case 9: {c='J'; break;}
    case 10: {c='K'; break;}
    case 11: {c='L'; break;}
    case 12: {c='M'; break;}
    case 13: {c='N'; break;}
    case 14: {c='O'; break;}
    case 15: {c='P'; break;}
    case 16: {c='Q'; break;}
    case 17: {c='R'; break;}
    case 18: {c='S'; break;}
    case 19: {c='T'; break;}
    case 20: {c='U'; break;}
    case 21: {c='V'; break;}
    case 22: {c='W'; break;}
    case 23: {c='X'; break;}
    case 24: {c='Y'; break;}
    case 25: {c='Z'; break;}
  }
  return c;
}
